# ---------------------------------------------------------------------
#
# Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image 
#                        pour la Santé)
# Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
#
#  This software is governed by the CeCILL-B license under French law and 
#  abiding by the rules of distribution of free software. You can  use, 
#  modify and/ or redistribute the software under the terms of the CeCILL-B 
#  license as circulated by CEA, CNRS and INRIA at the following URL 
#  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html 
#  or in the file LICENSE.txt.
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability. 
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL-B license and that you accept its terms.
# ------------------------------------------------------------------------  

#!/bin/bash

# JPR 2/5/2011
#if [ $UID = 0 ] 
#then
  # Set all local variables
  source $PWD/scripts/LocalFunctions.sh
  source $PWD/scripts/CreaTools-configure.sh
  if [ -e $generationdir ]
  then

	  cd $generationdir
  	  source creatools_install/share/creatools/Version.sh 
     fileTGZ=CreaTools-Release-$creatoolsMajorVersion.$creatoolsMinorVersion.$creatoolsBuildVersion-`getDistrib`-`getDistribVersion`.tgz

     tar -cvzf $fileTGZ creatools_install thirdparty_install
	  scp $fileTGZ davila@tux.creatis.insa-lyon.fr:creatools/creaTools/v$creatoolsMajorVersion.$creatoolsMinorVersion.x/$fileTGZ 

	  filename_BinVersion=creatools-Linux-BinVersion-`getDistrib`-`getDistribVersion`.sh

	  echo "##" > $filename_BinVersion
	  echo "## Generated by CreaTools-GeneratedBinTGZ.sh" >> $filename_BinVersion
	  echo "##" >> $filename_BinVersion

	  echo "wget http://www.creatis.insa-lyon.fr/software/public/creatools/creaTools/v$creatoolsMajorVersion.$creatoolsMinorVersion.x/$fileTGZ" >> $filename_BinVersion 
	  echo "tar -xvzf $fileTGZ" >>  $filename_BinVersion

     echo "source creatools_install/share/creatools/LocalFunctions.sh"  >>  $filename_BinVersion
     echo "ETC_BASHRC=\`getbashrc\`" >>  $filename_BinVersion
     echo "installPrefix=\$(pwd)/creatools_install #You need this variable in the -barshrc script" >>  $filename_BinVersion
     echo "installPrefixThird=\$(pwd)/thirdparty_install #You need this variable in the -barshrc script" >>  $filename_BinVersion
     echo "OperatingSystem=\`getDistrib\`  #You need this variable in the Base-Stuff script" >>  $filename_BinVersion

     echo "cd thirdparty_install/share/creatools/"  >>  $filename_BinVersion
     echo "source ThirdParty-install-Base-Stuff.sh $OperatingSystem"  >>  $filename_BinVersion
     echo "cd ../../.."  >>  $filename_BinVersion
     echo "source thirdparty_install/share/creatools/ThirdParty-bashrc.sh"  >>  $filename_BinVersion
     echo "source creatools_install/share/creatools/CreaTools-bashrc.sh"  >>  $filename_BinVersion
     echo "echo  " >>  $filename_BinVersion
     echo "echo  " >>  $filename_BinVersion
     echo "echo  " >>  $filename_BinVersion
     echo "echo  " >>  $filename_BinVersion
     echo "echo 'Open a new terminal to run creatools.'" >>  $filename_BinVersion
     echo "echo '(Close this window and continue....)' " >>  $filename_BinVersion
     echo "echo  " >>  $filename_BinVersion
     echo "echo  " >>  $filename_BinVersion
     echo "echo  Install dir:" >>  $filename_BinVersion
     echo "pwd" >>  $filename_BinVersion
     echo "echo  " >>  $filename_BinVersion
     echo "read -p 'Press [Enter] key to continue...'" >>  $filename_BinVersion
     scp $filename_BinVersion davila@tux.creatis.insa-lyon.fr:creatools/creaTools/. 

     echo ""
     echo ""
     echo ""
     echo "Creation OK:"
     echo $fileTGZ
     echo ""

  else
   echo
   echo "..ERROR.."
   echo "==================================================="
   echo "REMEMBER !"
   echo ""
   echo "You MUST run before:"
   echo "   > ./instalscript config"
   echo "   > ./instalscript 3rd"
   echo "   > ./instalscript creatools"
   echo "==================================================="
   echo
   echo 
   read a
   exit 0 
  fi  
  


