# ---------------------------------------------------------------------
#
# Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image 
#                        pour la Santé)
# Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
#
#  This software is governed by the CeCILL-B license under French law and 
#  abiding by the rules of distribution of free software. You can  use, 
#  modify and/ or redistribute the software under the terms of the CeCILL-B 
#  license as circulated by CEA, CNRS and INRIA at the following URL 
#  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html 
#  or in the file LICENSE.txt.
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability. 
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL-B license and that you accept its terms.
# ------------------------------------------------------------------------  


#!/bin/bash



###########################################
function getDistrib {
    local OS=`uname`

      if [ "$OS" == Darwin ] ; then OS=MacOS;
    elif [ "$OS" == Linux  ] ; then OS=`awk 'NR==1{print $1}' /etc/issue`
    else OS=""
    fi
# checkDistrib $OS
    echo $OS
}

###########################################
function getDistribVersion {
    local DISTRIB=`getDistrib`

      if [ "$DISTRIB" == MacOS ] ; then OSVesion=VOID_Darwin_EED;
    elif [ "$DISTRIB" == Fedora  ] ; then OSVersion=`awk 'NR==1{print $3}' /etc/issue`
    elif [ "$DISTRIB" == Ubuntu  ] ; then OSVersion=`awk 'NR==1{print $2}' /etc/issue`
    else OSVersion="VOID_EED"
    fi
    echo $OSVersion
}

CREATOOLSBINDIR=Creatools-Bin-`getDistrib`-`getDistribVersion`

rm -rf $CREATOOLSBINDIR
mkdir $CREATOOLSBINDIR
cd $CREATOOLSBINDIR
wget http://www.creatis.insa-lyon.fr/software/public/creatools/creaTools/creatools-Linux-BinVersion-`getDistrib`-`getDistribVersion`.sh
source creatools-Linux-BinVersion-`getDistrib`-`getDistribVersion`.sh
cd ..



